Page MenuHomePhabricator

Create Wiktionary Konkani
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wiktionary Konkani.

Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Post install automatic checklist:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2020, 1:24 PM

The community also requested "Give Flow board creation rights automatically to admins on the Konkani Wiktionary (Add flow-create-board for gomwikt sysop)" for the settings. I don't know to whom this right is usually assigned (on mw.org to all users, it seems), so I don't know if that is a restriction and how feasible that is given the scarcity of sysops on new wikis ( @Aklapper cf. our recent discussion).

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 6 2020, 1:31 PM

The community also requested "Give Flow board creation rights automatically to admins on the Konkani Wiktionary (Add flow-create-board for gomwikt sysop)" for the settings. I don't know to whom this right is usually assigned (on mw.org to all users, it seems), so I don't know if that is a restriction and how feasible that is given the scarcity of sysops on new wikis ( @Aklapper cf. our recent discussion).

Some context:

  • Structured Discussions or Flow is the default content model for all talk pages on the Konkani Wikipedia. As a result, the members of the Konkani community are used to this discussion system, rather than wiktext discussion pages.
  • Local project admins, by default, have the right to change the content model of pages. What we discovered later on the Konkani Wikipedia is that admins could change the content model of a page to any format, except to Flow pages, because of the lack of the permission flow-create-board. Therefore, we had requested for this right for admins on the Konkani Wikipedia (Task T139226). In order to pre-empt this anomaly right at the beginning, I added the request for the flow-create-board permission while setting up the Konkani Wiktionary.

Two notes:

  • Flow is being un-deployed from our Infra, I'm not sure adding it to new wikis would be a good idea
  • ShortUrl is unmaintained and unmaintainable and hopefully will be undeployed soon (T187045: Code Stewardship Review: ShortUrl Extension), we can't deploy this for new wikis at all, please use https://w.wiki instead. It's even shorter.

Two notes:

  • Flow is being un-deployed from our Infra, I'm not sure adding it to new wikis would be a good idea
  • ShortUrl is unmaintained and unmaintainable and hopefully will be undeployed soon (T187045: Code Stewardship Review: ShortUrl Extension), we can't deploy this for new wikis at all, please use https://w.wiki instead. It's even shorter.

+1. We can't deploy Flow to more wikis, I'm sorry.

Urbanecm triaged this task as Low priority.Apr 20 2020, 3:13 PM

Change 591084 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for gomwiktionary

https://gerrit.wikimedia.org/r/591084

Change 591085 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] Add gomwiktionary

https://gerrit.wikimedia.org/r/591085

Urbanecm moved this task from Backlog to Later on the User-Urbanecm board.Apr 20 2020, 4:51 PM
Urbanecm moved this task from Later to Wikis ready for creation on the User-Urbanecm board.

Change 591085 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add gomwiktionary

https://gerrit.wikimedia.org/r/591085

Koavf added a subscriber: Koavf.May 3 2020, 8:29 PM
Ladsgroup updated the task description. (Show Details)May 18 2020, 1:57 PM
Ladsgroup updated the task description. (Show Details)May 18 2020, 2:01 PM

Change 591084 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for gomwiktionary

https://gerrit.wikimedia.org/r/591084

Mentioned in SAL (#wikimedia-operations) [2020-05-20T12:33:13Z] <ladsgroup@deploy1001> Synchronized dblists: Creating Wiktionary Konkani (gomwiktionary) - T249506 (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2020-05-20T12:35:24Z] <ladsgroup@deploy1001> rebuilt and synchronized wikiversions files: Creating Wiktionary Konkani (gomwiktionary) - T249506

Mentioned in SAL (#wikimedia-operations) [2020-05-20T12:38:56Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating Wiktionary Konkani (gomwiktionary) - T249506 (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2020-05-20T12:41:14Z] <ladsgroup@deploy1001> Synchronized static/images/project-logos/: Creating Wiktionary Konkani (gomwiktionary) - T249506 (duration: 01m 06s)

Ladsgroup closed this task as Resolved.May 20 2020, 1:12 PM
Ladsgroup claimed this task.

The wiki is accessible now.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 20 2020, 1:12 PM
Maintenance_bot moved this task from Incoming to Done on the User-Ladsgroup board.May 20 2020, 1:15 PM
Dzahn added a subscriber: Dzahn.May 20 2020, 1:55 PM

Added to wikistats.wmflabs.org

---> update wiktionaries set total="0",good="0",edits="0",users="0",activeusers="0",admins="0",images="0",http="200",si_generator="MediaWiki 1.35.0-wmf.31",ts=NOW() where id="441";

I already created an item on it a couple of days ago so I've just merged it https://www.wikidata.org/wiki/Q94700087

Dzahn added a comment.May 21 2020, 6:38 AM

I already created an item on it a couple of days ago so I've just merged it https://www.wikidata.org/wiki/Q94700087

Thank you, i had searched for it but did not find it.

jhsoby updated the task description. (Show Details)May 21 2020, 10:26 AM

Jon Harald Søby has just imported the pages

@jhsoby It looks like you imported the edits multiple times as if you look through the history of this page it shows each edit 4 times
https://gom.m.wiktionary.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%B6%E0%A5%87%E0%A4%B6:History/Abril

@jhsoby It looks like you imported the edits multiple times as if you look through the history of this page it shows each edit 4 times
https://gom.m.wiktionary.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%B6%E0%A5%87%E0%A4%B6:History/Abril

Yes, I noticed, sorry about that. Special:Import is quite broken for this purpose (one of its 2 purposes, hehe), to be honest. It's supposed to ignore pages/revisions that have already been imported, but that doesn't always happen – it will give the Wikimedia server outage error page, and when it does you are supposed to try again. But some times it already worked despite the error, and some times it didn't work.

I'm not aware of how to fix this issue after it has happened, other than deleting the pages and re-importing them, which is a pain… I hope it doesn't cause too many problems.

@jhsoby It looks like you imported the edits multiple times as if you look through the history of this page it shows each edit 4 times
https://gom.m.wiktionary.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%B6%E0%A5%87%E0%A4%B6:History/Abril

Yes, I noticed, sorry about that. Special:Import is quite broken for this purpose (one of its 2 purposes, hehe), to be honest. It's supposed to ignore pages/revisions that have already been imported, but that doesn't always happen – it will give the Wikimedia server outage error page, and when it does you are supposed to try again. But some times it already worked despite the error, and some times it didn't work.

I'm not aware of how to fix this issue after it has happened, other than deleting the pages and re-importing them, which is a pain… I hope it doesn't cause too many problems.

Ok. The same kinda thing has also happened to Awadhi Wikipedia